<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:10645d63-0099-4671-8ac2-4eb0a4cbdb31,g:f039d133-ee15-438f-b1ec-ec6a09e26935-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.pilgrims.com/role/CoverPage" xlink:type="simple" xlink:href="ppc-20221026.xsd#CoverPage"/>
  <link:presentationLink xlink:role="http://www.pilgrims.com/role/CoverPage" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentType_0194bdb5-e3bf-4d77-8163-c3435f5994d5" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_DocumentType"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_DocumentType_0194bdb5-e3bf-4d77-8163-c3435f5994d5" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentPeriodEndDate_f8efd58b-0957-4a2e-9f86-b1fa2c7eed3a" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_DocumentPeriodEndDate"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_DocumentPeriodEndDate_f8efd58b-0957-4a2e-9f86-b1fa2c7eed3a" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityRegistrantName_603fbced-11e1-4aca-afa2-cdd677241968" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityRegistrantName"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityRegistrantName_603fbced-11e1-4aca-afa2-cdd677241968" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityCentralIndexKey_36379e98-f9bc-45f9-a253-d1c063d46eb2" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityCentralIndexKey"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityCentralIndexKey_36379e98-f9bc-45f9-a253-d1c063d46eb2" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_AmendmentFlag_caca2c9d-8c04-4aec-b754-304b4f3f34f3" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_AmendmentFlag"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_AmendmentFlag_caca2c9d-8c04-4aec-b754-304b4f3f34f3" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityIncorporationStateCountryCode_e1cb3a04-54cf-4899-85cf-ec590055b502" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityIncorporationStateCountryCode"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityIncorporationStateCountryCode_e1cb3a04-54cf-4899-85cf-ec590055b502" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityFileNumber_3ff17299-43e7-436c-9aff-c0b881d9e5c4" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityFileNumber"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityFileNumber_3ff17299-43e7-436c-9aff-c0b881d9e5c4" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityTaxIdentificationNumber_ba6636f2-f5e6-4581-ac0f-997c8e3bec26" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityTaxIdentificationNumber"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityTaxIdentificationNumber_ba6636f2-f5e6-4581-ac0f-997c8e3bec26" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressAddressLine1_e0e46898-7c59-443a-b051-251c39686861" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressAddressLine1"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityAddressAddressLine1_e0e46898-7c59-443a-b051-251c39686861" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressCityOrTown_812d88e5-e3e3-4ff1-9b09-a4f5c67d3a70" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressCityOrTown"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityAddressCityOrTown_812d88e5-e3e3-4ff1-9b09-a4f5c67d3a70" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressStateOrProvince_7b363d36-5139-473a-99b3-5b4aaed9fc69" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressStateOrProvince"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityAddressStateOrProvince_7b363d36-5139-473a-99b3-5b4aaed9fc69" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressPostalZipCode_5d57e863-8c33-444b-9811-05ad4d4252c8" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityAddressPostalZipCode"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityAddressPostalZipCode_5d57e863-8c33-444b-9811-05ad4d4252c8" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CityAreaCode_a88b1122-4385-4f2e-9744-3fe80044338f" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_CityAreaCode"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_CityAreaCode_a88b1122-4385-4f2e-9744-3fe80044338f" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_LocalPhoneNumber_d661c03a-4d95-4657-86f1-c2396659b161" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_LocalPhoneNumber"/>
    <link:presentationArc order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_LocalPhoneNumber_d661c03a-4d95-4657-86f1-c2396659b161" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_Security12bTitle_e885f829-665b-49df-beaa-c1cd270119dc" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_Security12bTitle"/>
    <link:presentationArc order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_Security12bTitle_e885f829-665b-49df-beaa-c1cd270119dc" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_TradingSymbol_3354693f-81ed-40ab-8d43-5ea8c70256d9" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_TradingSymbol"/>
    <link:presentationArc order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_TradingSymbol_3354693f-81ed-40ab-8d43-5ea8c70256d9" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SecurityExchangeName_d180345b-96e3-41a5-9dc2-8a4f1db054b5" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_SecurityExchangeName"/>
    <link:presentationArc order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_SecurityExchangeName_d180345b-96e3-41a5-9dc2-8a4f1db054b5" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_WrittenCommunications_715b08e5-0dc6-4789-8042-10cd9d7bdb8c" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_WrittenCommunications"/>
    <link:presentationArc order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_WrittenCommunications_715b08e5-0dc6-4789-8042-10cd9d7bdb8c" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SolicitingMaterial_ddafb331-f2e8-48cc-b203-f0920ccb3f8a" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_SolicitingMaterial"/>
    <link:presentationArc order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_SolicitingMaterial_ddafb331-f2e8-48cc-b203-f0920ccb3f8a" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementTenderOffer_f80fd3bf-3624-4210-b322-6381f9104872" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_PreCommencementTenderOffer"/>
    <link:presentationArc order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_PreCommencementTenderOffer_f80fd3bf-3624-4210-b322-6381f9104872" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementIssuerTenderOffer_40e33071-96e9-4d22-b0ed-2b896fc8344c" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_PreCommencementIssuerTenderOffer"/>
    <link:presentationArc order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_PreCommencementIssuerTenderOffer_40e33071-96e9-4d22-b0ed-2b896fc8344c" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityEmergingGrowthCompany_20e2c850-b6b1-491d-bc97-0dc233b350c4" xlink:href="https://xbrl.sec.gov/dei/2022/dei-2022.xsd#dei_EntityEmergingGrowthCompany"/>
    <link:presentationArc order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_7a4e566a-3223-4e32-afbc-ff2ae4d483cb" xlink:to="loc_dei_EntityEmergingGrowthCompany_20e2c850-b6b1-491d-bc97-0dc233b350c4" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
  </link:presentationLink>
</link:linkbase>
